%define _python_bytecompile_errors_terminate_build 0

%define rel 1

Name: kate
Summary: Advanced text editor
Version: 16.04.2
Group: Graphical desktop/KDE5
Release: %mkrel %{rel}
License: GPLv2 and LGPLv2
Source: http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
#general buildrequires
#------------------------------------------------------
BuildRequires: %{_lib}qt5base5-devel
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5dbus-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5help-devel
BuildRequires: %{_lib}qt5imageformats-devel
BuildRequires: %{_lib}qt5network-devel
BuildRequires: %{_lib}qt5qml-devel
BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5bluetooth-devel
BuildRequires: %{_lib}qt5bootstrap-devel
BuildRequires: %{_lib}qt5clucene-devel
BuildRequires: %{_lib}qt5concurrent-devel
BuildRequires: %{_lib}qt5designer-devel
BuildRequires: %{_lib}qt5egldeviceintegration-devel
BuildRequires: %{_lib}qt5labstemplates-devel
BuildRequires: %{_lib}qt5location-devel
BuildRequires: %{_lib}qt5multimedia-devel
BuildRequires: %{_lib}qt5multimediaquick_p-devel
BuildRequires: %{_lib}qt5multimediawidgets-devel
BuildRequires: %{_lib}qt5nfc-devel
BuildRequires: %{_lib}qt5opengl-devel
BuildRequires: %{_lib}qt5platformsupport-devel
BuildRequires: %{_lib}qt5positioning-devel
BuildRequires: %{_lib}qt5printsupport-devel
BuildRequires: %{_lib}qt5qgsttools_p-devel
BuildRequires: %{_lib}qt5quickparticles-devel
BuildRequires: %{_lib}qt5quicktest-devel
BuildRequires: %{_lib}qt5quickwidgets-devel
BuildRequires: %{_lib}qt5script-devel
BuildRequires: %{_lib}qt5scripttools-devel
BuildRequires: %{_lib}qt5sensors-devel
BuildRequires: %{_lib}qt5serialport-devel
BuildRequires: %{_lib}qt5sql-devel
BuildRequires: %{_lib}qt5svg-devel
BuildRequires: %{_lib}qt5test-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5waylandclient-devel
BuildRequires: %{_lib}qt5webchannel-devel
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------

BuildRequires: git-devel
BuildRequires: %{_lib}hunspell-devel
BuildRequires: %{_lib}xslt-devel
BuildRequires: %{_lib}qjson-devel

#BuildRequires: subversion-devel
BuildRequires: binutils-devel
BuildRequires: boost-devel
BuildRequires: libltdl-devel
BuildRequires: antlr-tool
BuildRequires: antlr3-C
BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl

BuildRequires: kconfig-devel
BuildRequires: kdoctools-devel
BuildRequires: kguiaddons-devel
BuildRequires: kiconthemes-devel
BuildRequires: ki18n-devel
BuildRequires: kinit-devel
BuildRequires: kjobwidgets-devel
BuildRequires: kio-devel
BuildRequires: kparts-devel
BuildRequires: ktexteditor-devel
BuildRequires: kwindowsystem-devel
BuildRequires: kxmlgui-devel
BuildRequires: kiconthemes-devel
BuildRequires: kwallet-devel
BuildRequires: plasma-framework-devel
BuildRequires: kitemmodels-devel
BuildRequires: threadweaver-devel
BuildRequires: knewstuff-devel
BuildRequires: kcrash-devel
BuildRequires: kactivities5-devel

Requires: konsole
Requires: ktexteditor


%description
A multi-document, multi-view text editor for KDE.

%files
%_kf5_bindir/kate
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.katesessions
%_kf5_datadir/appdata/org.kde.kate.appdata.xml
%_qt5_plugindir/plasma/dataengine/plasma_engine_katesessions.so
%_kf5_datadir/applications/org.kde.kate.desktop
%_iconsdir/*/*/*/kate.*
%_kf5_datadir/kateproject/kateproject.example
%_kf5_datadir/katexmltools/
%_kf5_datadir/kxmlgui5/katexmltools/ui.rc
%_kf5_datadir/kservices5/plasma-applet-org.kde.plasma.katesessions.desktop
%_kf5_datadir/kservices5/plasma-dataengine-katesessions.desktop
%_kf5_datadir/plasma/services/org.kde.plasma.katesessions.operations

#------------------------------------------------------------------------------

%package handbook
Summary: Kate handbook
BuildArch: noarch
Requires:  kate >= %{version}-%{release}
Group: Documentation 
%description handbook
This package provides kate handbook

%files handbook
%doc %_kf5_docdir/HTML/en/kate
%doc %_kf5_docdir/HTML/en/katepart
%_mandir/man1/kate.1.*

 #------------------------------------------------------------------------------
 
%package -n ktexteditor-plugins
Summary: Ktexteditor interfaces
Group: Graphical desktop/KDE5
Provides: kate-plugin-pate

%description -n ktexteditor-plugins
The KTextEditor interfaces - also called KTE interfaces - are a set of
well-defined interfaces which an application or library can implement to provide
advanced plain text editing services.

%files -n ktexteditor-plugins
%_qt5_plugindir/ktexteditor


#------------------------------------------------------------------------------

%package -n kwrite
Summary: Simple text editor for KDE 4
Group: Graphical desktop/KDE5
Requires: ktexteditor

%description -n kwrite
KWrite is a text editor for KDE, based on the Kate's editor component.
Features :
    Syntax highlighting according to the file type
    Word completion
    Auto-identation
    Plugin support
    Vi input mode

%files -n kwrite
%_kf5_bindir/kwrite
%_kf5_datadir/appdata/org.kde.kwrite.appdata.xml
%_kf5_datadir/applications/org.kde.kwrite.desktop
%_iconsdir/*/*/*/*

#------------------------------------------------------------------------------

%package -n kwrite-handbook
Summary: Kwrite handbook
Requires:  kwrite >= %{version}-%{release}
BuildArch: noarch
Group: Documentation 

%description -n kwrite-handbook
This package provides Kwrite handbook

%files -n kwrite-handbook
%doc %_kf5_docdir/HTML/en/kwrite

#------------------------------------------------------------------------------

%prep
%setup -q 


%build
export LD=/usr/bin/ld.gold 
%cmake_kf5
%make

%install
rm -rf %buildroot
%make_install -C build

# Remove static libs
rm -rf %{buildroot}/%{_kde_libdir}/libacomment.a

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%changelog
* Tue Jun 14 2016 bb <bb> 16.04.2-1pclos2016
- update

